Push-data agent‎ > ‎Installation‎ > ‎

Prerequisites


The Push-data agent has been tested on the following Operating Systems. There are instructions on how to install any required dependencies.

Linux

Debian 6.0 (Squeeze)

You need to install "bzip2":
apt-get install bzip2

Ubuntu 12.04 LTS (precise)

The Push-data agent runs out of the box.

Arch Linux

You need to install the "net-tools" package which provides the "netstat" binary:
pacman -S net-tools

CentOS 5 and Red Hat 5

The Push-data agent runs out of the box.

CentOS 6 and Red Hat 6

You need to make sure that "Perl" is installed:
yum install perl

Gentoo 12

The Push-data agent runs out of the box.

OpenSUSE 12 and SUSE® Linux Enterprise

The Push-data agent runs out of the box.

Oracle Linux 6

The Push-data agent runs out of the box.

Slackware 13

The Push-data agent runs out of the box.
The crontab entry is installed in a different way:
./install-crontab.sh "$ROOTDIR"/s2-pushdata "$PUSHURL" # to get the command and then install using "crontab -e"


Comments